#
# spec file for package polkit-default-privs
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# icecream 0


#Compat macro for new _fillupdir macro introduced in Nov 2017
%if ! %{defined _fillupdir}
  %define _fillupdir /var/adm/fillup-templates
%endif

Name:           polkit-default-privs
Version:        13.2
Release:        0
Summary:        SUSE PolicyKit default permissions
License:        GPL-2.0-or-later
Group:          Productivity/Security
Source:         polkit-default-privs-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  polkit
%if 0%{?suse_version} < 1310
Requires:       libmozjs185-1_0
%endif
Requires:       polkit
Supplements:    PolicyKit
Supplements:    libpolkit0, polkit
BuildArch:      noarch
# please open bugreports at bugzilla.novell.com
Url:            http://github.com/openSUSE/polkit-default-privs.git
PreReq:         %fillup_prereq

%description
Different default privilege settings depending on local configuration



Authors:
--------
    Ludwig Nussel

%prep
%setup -q

%build

%install
make install DESTDIR=$RPM_BUILD_ROOT fillupdir="%{_fillupdir}"
mkdir -p $RPM_BUILD_ROOT/etc/polkit-1/rules.d/
> $RPM_BUILD_ROOT/etc/polkit-1/rules.d/90-default-privs.rules

%post
%{fillup_only -ns security polkit_default_privs}
/sbin/set_polkit_default_privs >/dev/null

%files
%defattr(-,root,root,-)
%ghost %attr(0644,root,root) /etc/polkit-1/rules.d/90-default-privs.rules
%config /etc/polkit-default-privs.standard
%config /etc/polkit-default-privs.restrictive
%config(noreplace) /etc/polkit-default-privs.local
/sbin/chkstat-polkit
/sbin/set_polkit_default_privs
%_mandir/man*/*
%{_fillupdir}/sysconfig.security-polkit_default_privs

%changelog
